class Public::HomeController < ApplicationController
  
  layout :get_public_layout
  
  
  #http_basic_authenticate_with name: "onepage", password: "852321Op", only: :fourrure
  
  
  def home
    
		render :layout => false
  end
  
  def assurance
    
  end
  
  def assurance2
    
  end


  def home2
		@articles = Article.before(Date.today).recents

		@articles = @articles.page(params[:page]).per(4)
    @menu_item_lang = @lang.menu_item_langs.find_by_permalink("index")
    @menu_item = @menu_item_lang.menu_item
    render :layout => "public3"
  end
  
  def angora
    if !params[:force]
      redirect_to "https://olwen.quartz.xyz/fr/petitions/stop-angora.html"
      
    else
      render :layout => false
    end
  
  end
  
  
  
  def angora_e1
    #render :layout => false
  end
  
  
  
  def dressage
    
      render :layout => "dressage"
 
  end
 
  def cirques
    
    if request.host == "cirques-animaux.fr"
      if (Time.now > Time.parse("2017-07-11 8:25:00"))
        render :layout => "cirques"
      else
        render :inline => Time.now.to_s
      end
      
    else
      render :layout => "cirques"
    end
  end
  
  
  
  def fourrure
    
      @mail_object = "Interdiction des élevages de visons"
      #@mail_email = "agri@nicolasbally.com"
      @mail_email = "christine.avelin@agriculture.gouv.fr"
      @mail_body = "A l’attention de Monsieur Le Ministre,
      
Monsieur le Ministre,
      
Les connaissances scientifiques actuelles établissent sans le moindre doute possible que les animaux éprouvent de la douleur, de la souffrance et de l’angoisse.

C’est d’ailleurs à la faveur de ces avancées que la réglementation européenne a renforcé les normes minimales de protection des animaux dans toutes les activités les concernant.

Les élevages de visons violent les besoins fondamentaux des animaux tels que définis dans la convention et la directive européenne sur la protection des animaux dans les élevages, et continuent de traiter les animaux à fourrure comme de vulgaires objets dénués de systèmes sensoriel et émotionnel.

Ce déni de la souffrance animale ne saurait perdurer pour le simple plaisir de porter un vêtement.

En outre, de nombreux pays ont d’ores et déjà interdit ces élevages sur leur sol au regard du risque qu’ils font peser tant sur l’environnement que sur la population du vison d’Europe.
C’est la raison pour laquelle je vous demande, Monsieur Travert, de prendre toutes mesures utiles pour interdire les élevages de visons sur le sol français.

Dans cette attente, je vous prie de bien vouloir agréer, Monsieur le Ministre, l’expression de ma considération distinguée."
      
      
      



      render :layout => false
  
  end
  
end
